# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define rel	2

Summary:	Console-based live network and disk io bandwidth monitor
Name:		bwm-ng
Version:	0.6.3
Release:	alt1_%{rel}
License:	GPLv2+
Group:		Monitoring
URL:		https://gropp.org/?id=projects&sub=bwm-ng
Source:		https://github.com/vgropp/bwm-ng/archive/v%{version}/bwm-ng-%{version}.tar.gz
Patch0:		bwm-ng-0.6.3-git-format-literal.patch
BuildRequires:	pkgconfig(ncurses)
BuildRequires:	pkgconfig(libstatgrab) >= 0.91
Source44: import.info

%description
Bandwidth Monitor NG is a small and simple console-based live
network and disk io bandwidth monitor for Linux, BSD, Solaris, Mac
OS X and others.

Short list of features:
- supports /proc/net/dev, netstat, getifaddr, sysctl, kstat,
  /proc/diskstats, /proc/partitions, IOKit, devstat and libstatgrab
- unlimited number of interfaces/devices supported
- interfaces/devices are added or removed dynamically from list
- white-/blacklist of interfaces/devices
- output of KB/s, Kb/s, packets, errors, average, max and total sum
- output in curses, plain console, CSV or HTML
- configfile

%prep
%setup -q
%patch0 -p1


%build
./autogen.sh
%configure \
	--disable-silent-rules \
	--enable-64bit \
	--enable-netstatbyte \
	--enable-netstatlink \
	--with-ncurses \
	--with-getopt_long \
	--with-partitions \
	--with-procnetdev \
	--with-netstatlinux \
	--with-libstatgrab
%make_build

%install
%makeinstall_std

%files
%doc README AUTHORS ChangeLog NEWS THANKS bwm-ng.conf-example bwm-ng.css
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*


%changelog
* Tue Aug 02 2022 Igor Vlasenko <viy@altlinux.org> 0.6.3-alt1_2
- update by mgaimport

* Tue Mar 16 2021 Igor Vlasenko <viy@altlinux.org> 0.6.3-alt1_1
- update by mgaimport

* Sat Feb 15 2020 Igor Vlasenko <viy@altlinux.ru> 0.6.2-alt1_2
- update by mgaimport

* Wed Mar 06 2019 Igor Vlasenko <viy@altlinux.ru> 0.6.2-alt1_1
- update by mgaimport

* Wed Mar 06 2019 Cronbuild Service <cronbuild@altlinux.org> 0.6-alt2.qa1_9
- rebuild to get rid of unmets

* Thu Mar 22 2018 Igor Vlasenko <viy@altlinux.ru> 0.6-alt1.qa1_9
- new version

* Wed Apr 17 2013 Dmitry V. Levin (QA) <qa_ldv@altlinux.org> 0.6-alt1.qa1
- NMU: rebuilt for debuginfo.

* Sun Sep 30 2007 Ilya Mashkin <oddity at altlinux.ru> 0.6-alt1
- new version 0.6

* Sat Mar 18 2006 Dmitry Marochko <mothlike@altlinux.ru> 0.5-alt1.1
- as-needed fix

* Mon Mar 13 2006 Dmitry Marochko <mothlike@altlinux.ru> 0.5-alt1
- Initial build for Sisyphus
